DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_06_18-EventDetails_repair';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15125) THEN
			RETURN;
		END IF;

		BEGIN

			update public."EventDetails" ed set "OrganizerId" = (select "OrganizerId" from public."EventDetails" where "Uid" = ed."Uid" and "OrganizerId" is not null limit 1) where "OrganizerId" is null;


 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
		END;
	END;
$$
